#ifndef _KVI_KVS_CORESIMPLECOMMANDS_H_
#define _KVI_KVS_CORESIMPLECOMMANDS_H_
//=============================================================================
//
//   File : kvi_kvs_coresimplecommands.h
//   Created on Fri 31 Oct 2003 00:04:25 by Szymon Stefanek
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 2003 Szymon Stefanek <pragma at kvirc dot net>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include "kvi_settings.h"
#include "kvi_kvs_runtimecontext.h"
#include "kvi_kvs_variantlist.h"
#include "kvi_kvs_switchlist.h"

#define _KVS_CORESIMPLECOMMAND(_name) bool _name(KviKvsRunTimeContext * c,KviKvsVariantList * pParams,KviKvsSwitchList * pSwitches)

namespace KviKvsCoreSimpleCommands
{
	// a_f
	_KVS_CORESIMPLECOMMAND(echo);
	// g_l
	_KVS_CORESIMPLECOMMAND(halt);
	_KVS_CORESIMPLECOMMAND(killtimer);
	// m_r
	_KVS_CORESIMPLECOMMAND(parse);
	_KVS_CORESIMPLECOMMAND(popup);
	_KVS_CORESIMPLECOMMAND(return_CKEYWORDWORKAROUND);
	_KVS_CORESIMPLECOMMAND(rebind);
	// s_z
	_KVS_CORESIMPLECOMMAND(whois);
	_KVS_CORESIMPLECOMMAND(whowas);

	void init();
};

#endif //!_KVI_KVS_CORESIMPLECOMMANDS_H_
